<?php

namespace App\Steps;

use App\Services\TrafficService;

class TrafficRegistration extends CommonStep
{
  public function __construct(private TrafficService $_traficService)
  {
    parent::__construct();
  }

  public function execute(array $context): array
  {
    return $this->_traficService->registerTrafficAndGetId($context);
  }
}
